#292 closed defect (fixed)

GCC Internal Error on capture engine CLI

Reported by: RTEMS Bugs Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: unspecified Version: unknown
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The following output from GCC occurs:

m68k-rtems-gcc --pipe -B../../../../lib/ -B../../../../gen68360/lib/
-specs bsp_specs -qrtems -qrtems_debug -Wno-unused -g -Wall
-mcpu32 -o o-debug/capture-cli.o -c
../../../../../../rtems-ss-20021007/c/src/libmisc/capture/capture-cli.c

../../../../../../rtems-ss-20021007/c/src/libmisc/capture/capture-cli.c:
In function `rtems_capture_task_time':
../../../../../../rtems-ss-20021007/c/src/libmisc/capture/capture-cli.c:1404:
Internal compiler error in instantiate_virtual_regs_1, at
function.c:3972

It is in the capture engine and looks like it could be
related to the use of "long long".

Release:
rtems-ss-20021007

Environment:
m68k

Unformatted:

Vladimir Nesic <vnesic@…>
Reply-To:
Vladimir Nesic <vnesic@…>
X-Send-Pr-Version: gnatsweb-2.9.2 (1.1.1.1.2.21)
X-GNATS-Notify:


Vladimir Nesic <vnesic@…>

Change History (3)

comment:1 Changed on Oct 25, 2002 at 12:13:46 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Jun 17, 2003 at 12:13:32 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: I believe this has been resolved in gcc 3.2.3.

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.